<%
	//找u21040 主u-30616 单把u20027 表u21333 下u30340 关u-32684 信u24687 都u26174 示u20986 来
	lcFormInfo = (LcFormInfo)lcForm.getInfoByKey(Integer.parseInt(sPFORM));
	String moduleNameP = "";
	String formNameP = "";
    if (lcFormInfo != null) {
    	moduleNameP = lcFormInfo.getBDLJ();
    	formNameP = lcFormInfo.getBDBY1();  
    }
%>
<%
	BdRelateForm bdRelateForm = new BdRelateForm();
	ArrayList listRelate = bdRelateForm.getRelateList(moduleNameP, formNameP);
    String sRelateDesc = "";
  	if (listRelate != null) { 
%>

<%
  	     Iterator iterRelate = null;
  	     BdRelateFormInfo bdRelateFormInfo = null;
  	     BdRelateValue bdRelateValue = null;
  	     Collection coll = null;
  	    String value_str2[] = null;
  	    int iKeyValue = 0;
  	    int iListFieldLen = 0;
  	    int iKeyIndex = 0;
  	    int iFormID2 = 0;
  	    String strDefaultCond = "";
  	    Iterator iter = null;
  		
  		iterRelate = listRelate.iterator();
  		int i = 0;
  		while (iterRelate != null && iterRelate.hasNext()) {
  			bdRelateFormInfo = (BdRelateFormInfo)iterRelate.next();
  			bdRelateValue = new BdRelateValue(bdRelateFormInfo.getId(), 
  					SzConvert.toInt(sPKEY), 
  					"0",  "",  0,  0);
  			strDefaultCond = bdRelateValue.getDefaultCond();
  			coll = bdRelateValue.getArrayList(strDefaultCond);
  			sRelateDesc = bdRelateForm.relateButton(iFormID, bdRelateFormInfo, SzConvert.toInt(sKEY));
%>
<%=sRelateDesc%>
<table width="98%" border="1" bordercolorlight="#C0C0C0" bordercolordark="#FFFFFF" class="tableClass" cellpadding="1" cellspacing="0">
  <tr class="trClassTitle">
	<%=bdRelateValue.printTableTitle()%>        	
    <td>操u20316 </td>
  </tr>
<%
	iListFieldLen = bdRelateValue.getListFieldLen() ;
	iKeyIndex = bdRelateValue.getKeyIndex();

    if (coll != null) {
    	iter = coll.iterator();
    } else {
    	out.println("读1462 不1040 数5454 ");
    	return;
    }
    while (iter != null && iter.hasNext()) {
    	value_str2 = (String[])iter.next();
    	if (value_str2 == null) {
    		continue;
    	}
    	iFormID2 = Integer.parseInt(value_str2[0]);
    	iKeyValue = Integer.parseInt(value_str2[iKeyIndex]);
    	
    	i++;
%>
  <tr  onMouseOver="javascript:this.className='trMouseOver'" onMouseOut="javascript:this.className='trMouseOut'">
    <%=bdRelateValue.printTableValue(value_str2)%>      
    <td>
      <a href="javascript:FormSubmit(formPage,'relate_update.jsp?OPERATOR=detail&KEY=<%=iKeyValue%>&type=<%=bdRelateFormInfo.getId()%>&FormID=<%=iFormID2%>');">详u32454 </a>
    </td>
  </tr>
<%
    } //while (iter != null && iter.hasNext()) {
%>    
</table><br>
<%
  			i++;
  		}  //while (iterRelate != null && iterRelate.hasNext()) {
  	} //if (listRelate != null) {	
%> 
